Preterição de versões antigas da API REST de Gerenciamento de API do Azure

Postado em sexta-feira, 19 de outubro de 2018

As versões a seguir da API REST de Gerenciamento de API do Azure estão sendo preteridas e serão descontinuadas em 1 de outubro de 2019: 

- 2014-02-14 – versão prévia
- 2014-02-14
- 2015-09-15
- 2016-07-07
- 2016-10-10
- 2017-03-01

As seguintes bibliotecas de cliente dependem das APIs anteriores e serão afetadas:

- Pacotes NuGet do SDK do .NET para Microsoft.Azure.Management.ApiManagement anteriores à versão 4.0.0 – versão prévia
- Módulos de cmdlets do PowerShell para o AzureRm.ApiManagement anteriores à versão 6.1.0

Todas as bibliotecas de cliente Java, Node e Go existentes não serão afetadas.

Os clientes que usam (e dependem de) qualquer uma das versões de API, bibliotecas ou ferramentas personalizadas e integrações anteriores devem fazer a atualização para as versões mais recentes antes de 1º de outubro de 2019 para evitar a interrupção do serviço.

  • Gerenciamento de API
  • Features
  • Management
  • SDK and Tools